commit:     73d85e41eb5c2e525e322a2381659d11b76ed345
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 18 10:57:55 2014 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Tue Nov 18 10:57:55 2014 +0000
URL:        
http://sources.gentoo.org/gitweb/?p=proj/betagarden.git;a=commit;h=73d85e41

dev-python/couchdbkit: Bump to new python eclasses

Package-Manager: portage-2.2.14

---
 dev-python/couchdbkit/ChangeLog                    |  6 +++++-
 ...hdbkit-0.4.6.ebuild => couchdbkit-0.6.5.ebuild} | 25 ++++++++++++----------
 dev-python/couchdbkit/metadata.xml                 |  6 +++---
 3 files changed, 22 insertions(+), 15 deletions(-)

diff --git a/dev-python/couchdbkit/ChangeLog b/dev-python/couchdbkit/ChangeLog
index f8d5b44..797a160 100644
--- a/dev-python/couchdbkit/ChangeLog
+++ b/dev-python/couchdbkit/ChangeLog
@@ -1,7 +1,11 @@
 # ChangeLog for dev-python/couchdbkit
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  18 Nov 2014; Justin Lecher <[email protected]> -couchdbkit-0.4.6.ebuild,
+  +couchdbkit-0.6.5.ebuild, metadata.xml:
+  Bump to new python eclasses
+
   27 Oct 2011; Justin Lecher <[email protected]> metadata.xml:
   Removed no-herd from herd tag in metadata.xml
 

diff --git a/dev-python/couchdbkit/couchdbkit-0.4.6.ebuild 
b/dev-python/couchdbkit/couchdbkit-0.6.5.ebuild
similarity index 51%
rename from dev-python/couchdbkit/couchdbkit-0.4.6.ebuild
rename to dev-python/couchdbkit/couchdbkit-0.6.5.ebuild
index 3081e40..adfd4ed 100644
--- a/dev-python/couchdbkit/couchdbkit-0.4.6.ebuild
+++ b/dev-python/couchdbkit/couchdbkit-0.6.5.ebuild
@@ -1,14 +1,12 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
-EAPI="3"
+EAPI=5
 
-PYTHON_DEPEND="2"
-SUPPORT_PYTHON_ABIS="1"
-RESTRICT_PYTHON_ABIS="3.*"
+PYTHON_COMPAT=( python2_7 )
 
-inherit distutils
+inherit distutils-r1
 
 DESCRIPTION="CouchDBKit is a framework for CouchDB."
 HOMEPAGE="http://www.couchdbkit.org";
@@ -17,9 +15,14 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 LICENSE="Apache-2.0"
 KEYWORDS="~amd64 ~x86"
 SLOT="0"
-IUSE=""
+IUSE="test"
 
-DEPEND=""
-RDEPEND="${DEPEND}
-       dev-python/anyjson
-       dev-python/restkit"
+RDEPEND="
+       >=dev-python/restkit-4.2.2[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+python_test() {
+       nosetests || die
+}

diff --git a/dev-python/couchdbkit/metadata.xml 
b/dev-python/couchdbkit/metadata.xml
index cc3fe24..a759be0 100644
--- a/dev-python/couchdbkit/metadata.xml
+++ b/dev-python/couchdbkit/metadata.xml
@@ -1,7 +1,7 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-       <maintainer>
-               <email>[email protected]</email>
-       </maintainer>
+  <maintainer>
+    <email>[email protected]</email>
+  </maintainer>
 </pkgmetadata>

Reply via email to